Articles of bower install

鲍尔不被认为是内部或外部的命令

我知道这个问题已经被问了很多次了,但是他们真的没有一个帮助过我。 我在Windows 10上,并使用下面的代码通过npm成功安装了bower npm install -g bower 我已经添加了系统环境variables的path,但仍然得到相同的错误鲍尔不被识别为内部或外部命令。 我已经将以下path添加到我的系统环境variables中 C:\Users\habib\AppData\Romaing\npm 而当我尝试 npm config get prefix C:\Users\habib\AppData\Romaing\npm 当我尝试 npm bower -v 我得到凉亭版本 试了这个以及这个 他们都没有为我工作。 为什么?

获取EACCES错误bower初始化

试图在一个资产文件夹上运行'bower init'我有一个小项目。 试图学习Sails.js框架,但希望凉亭来处理前端configuration。 下面的堆栈跟踪。 已经尝试调整访问path,但没有运气。 任何指针在正确的方向? 提前致谢 跟踪 $ bower init /Users/lukeduncan/.nvm/versions/io.js/v1.6.2/lib/node_modules/bower/node_modules/insight/node_modules/configstore/index.js:46 throw err; ^ Error: EACCES: permission denied, open '/Users/lukeduncan/.config/configstore/insight-bower.json' You don't have access to this file. at Error (native) at Object.fs.openSync (fs.js:546:18) at Object.fs.readFileSync (fs.js:396:15) at Object.create.all.get (/Users/lukeduncan/.nvm/versions/io.js/v1.6.2/lib/node_modules/bower/node_modules/insight/node_modules/configstore/index.js:27:26) at Object.Configstore (/Users/lukeduncan/.nvm/versions/io.js/v1.6.2/lib/node_modules/bower/node_modules/insight/node_modules/configstore/index.js:20:44) at new Insight (/Users/lukeduncan/.nvm/versions/io.js/v1.6.2/lib/node_modules/bower/node_modules/insight/lib/index.js:37:34) at ensureInsight (/Users/lukeduncan/.nvm/versions/io.js/v1.6.2/lib/node_modules/bower/lib/util/analytics.js:38:23) at Object.setup (/Users/lukeduncan/.nvm/versions/io.js/v1.6.2/lib/node_modules/bower/lib/util/analytics.js:55:9) at Object.<anonymous> […]

Bower安装错误

安装Bower时,我得到以下错误: – Stack trace: Error: Request to https://bower.herokuapp.com/packages/es5-shim failed: SELF_SIG NED_CERT_IN_CHAIN at createError (C:\Users\Rishabh.Shukla\AppData\Roaming\npm\node_modules\bow er\node_modules\bower-registry-client\lib\util\createError.js:2:15) at Request._callback (C:\Users\Rishabh.Shukla\AppData\Roaming\npm\node_modul es\bower\node_modules\bower-registry-client\lib\lookup.js:98:29) at self.callback (C:\Users\Rishabh.Shukla\AppData\Roaming\npm\node_modules\b ower\node_modules\bower-registry-client\node_modules\request\request.js:129:22) at Request.EventEmitter.emit (events.js:95:17) at Request.request.emit (C:\Users\Rishabh.Shukla\AppData\Roaming\npm\node_mo dules\bower\node_modules\bower-registry-client\node_modules\request-replay\index .js:69:33) at ClientRequest.self.clientErrorHandler (C:\Users\Rishabh.Shukla\AppData\Ro aming\npm\node_modules\bower\node_modules\bower-registry-client\node_modules\req uest\request.js:239:10) at ClientRequest.EventEmitter.emit (events.js:95:17) at CleartextStream.socketErrorListener (http.js:1547:9) at CleartextStream.EventEmitter.emit (events.js:95:17) at SecurePair.<anonymous> (tls.js:1389:19) Console trace: Trace at StandardRenderer.error (C:\Users\Rishabh.Shukla\AppData\Roaming\npm\node_ modules\bower\lib\renderers\StandardRenderer.js:74:17) […]

使用节点NPM – 无法安装凉亭

我的系统上安装了nodejs。 (v0.10.26),我正在尝试安装bower包pipe理器。 但是我不能安装。 我总是不断得到错误。 我把我的npm-debug.txt与jsfiddle放在一起供你参考。 这是我得到的错误: D:\mySite>npm install bower npm http GET https://registry.npmjs.org/bower npm http GET https://registry.npmjs.org/bower npm http GET https://registry.npmjs.org/bower npm http GET https://registry.npmjs.org/insight npm http GET https://registry.npmjs.org/is-root npm http GET https://registry.npmjs.org/cardinal npm http GET https://registry.npmjs.org/bower-registry-client npm http GET https://registry.npmjs.org/chmodr npm http GET https://registry.npmjs.org/lru-cache npm http GET https://registry.npmjs.org/fstream-ignore npm http GET https://registry.npmjs.org/junk npm http […]

如何运行基于Nodejs的项目,当得到像无响应脚本的消息?

当运行nodejs项目时,消息像Unresponsive脚本 我在基于angularjs-rickshaw的 git-hub上获得了一个项目。 它基于nodejs,bower。 项目: ngyewch /angular人力车 以上项目演示 : DEMO 我想在我的本地系统上面运行项目。 我成功安装了每个东西(nodejs,npm,bower)。 但是,当我inputhttp://localhost:3000/我什么也没有得到,我在Nodejs中是新的, 请帮助我。 什么将是正确的url? [neelabh@localhost angular-rickshaw]$ node server.js connect.multipart() will be removed in connect 3.0 visit https://github.com/senchalabs/connect/wiki/Connect-3.0 for alternatives connect.limit() will be removed in connect 3.0 Server running at http://localhost:3000/ 我得到以下types的消息,如果我运行1. http:// localhost:3000 /或2. http:// localhost:3000 /#/ home server.js 'use strict'; var fs =require('fs'); […]

无法使用企业代理服务器的bower,如何解决?

我正在尝试使用我的办公室代理服务器安装凉亭。 我有错误 然后我试图安装在我的“C”驱动器。 它被安装,但我有很多304状态。 后来我试图search骨干使用鲍尔,这一次我得到了这样的问题:如何解决这个问题,以及我的networking代理或pipe理员权限等问题? 这是我得到的错误: C:\Bower>bower search backbone bower retry Request to https://bower.herokuapp.com/packages/search/backb one failed with ETIMEDOUT, retrying in 1.1s bower retry Request to https://bower.herokuapp.com/packages/search/backb one failed with ETIMEDOUT, retrying in 2.6s bower retry Request to https://bower.herokuapp.com/packages/search/backb one failed with ETIMEDOUT, retrying in 5.3s bower retry Request to https://bower.herokuapp.com/packages/search/backb one failed with ETIMEDOUT, retrying […]

在Mac OSX上安装Bower时,path.join的参数必须是string

尝试在Mac OSX Mavericks上安装Bower时遇到以下错误。 Craig-R-Mortons-MacBook:crmpicco crmpicco$ node_modules/bower/bin/bower cache clean Craig-R-Mortons-MacBook:crmpicco crmpicco$ node_modules/bower/bin/bower install bower not-cached git://github.com/angular/bower-angular-mocks.git#~1.2.9 bower resolve git://github.com/angular/bower-angular-mocks.git#~1.2.9 bower not-cached git://github.com/angular/bower-angular-resource.git#~1.2.9 bower resolve git://github.com/angular/bower-angular-resource.git#~1.2.9 bower not-cached git://github.com/angular/bower-angular.git#~1.2.9 bower resolve git://github.com/angular/bower-angular.git#~1.2.9 bower not-cached git://github.com/angular-ui/ui-router.git#0.2.7 bower resolve git://github.com/angular-ui/ui-router.git#0.2.7 bower not-cached git://github.com/jashkenas/underscore.git#~1.5.2 bower resolve git://github.com/jashkenas/underscore.git#~1.5.2 bower error Arguments to path.join must be strings Stack trace: TypeError: Arguments to […]

鲍尔在公司代理隧道错误

我尝试使用ember-cli设置新的Ember应用程序,但即使在更新“C:… \ bower \ node_modules \ bower-config \ lib \ util \ defaults.js”中的代理后也会收到此错误。 通过npm安装工具包。 创build新应用程序时出错 删除生成的目录./ember-quickstart请求https://bower.herokuapp.com/packages/ember-cli-shims失败:tunnelin g socket无法build立,原因=写入EPROTO 101057795:错误:140770FC:S SL例程:SSL23_GET_SERVER_HELLO:未知协议:openssl \ ssl \ s23_clnt.c:794: 错误:请求https://bower.herokuapp.com/packages/ember-cli-shims失败:无法build立unneling套接字,原因=写入EPROTO 101057795:错误:140 770FC:SSL例程:SSL23_GET_SERVER_HELLO:未知协议: OpenSSL的\ SSL \ s23_clnt。 C:794: 在createError(C:\ Users \ user \ AppData \ Roaming \ npm \ node_modules \ ember-cli \ no de_modules \ bower \ lib \ node_modules […]

npm bower安装失败(挂在同一个地方)

我一直试图重复安装凉亭几天。 安装挂在同一点 – npm verb about to build C:\Users\spjbd\AppData\Roaming\npm\node_modules\bower\no de_modules\insight npm info build C:\Users\spjbd\AppData\Roaming\npm\node_modules\bower\node_module s\insight npm verb linkStuff [ true, npm verb linkStuff 'C:\\Users\\spjbd\\AppData\\Roaming\\npm\\node_modules', npm verb linkStuff false, npm verb linkStuff 'C:\\Users\\spjbd\\AppData\\Roaming\\npm\\node_modules\\bow er\\node_modules' ] npm info linkStuff insight@0.4.3 npm verb linkBins insight@0.4.3 npm verb linkMans insight@0.4.3 npm verb rebuildBundles insight@0.4.3 npm verb rebuildBundles [ '.bin', […]

鲍尔 – 给注册包不同的path

我有我自己的克隆git存储库。 ( 我将使用克隆的jquery来简化 ) 我想能够链接一个注册的包名称给定的path,所以我可以这样做: “jquery”:“1.0.0” 我知道这是可能的只是给path,即 凉亭安装myJqueryPath 或者 ,添加到bower.json的依赖项 “jquery”:“myJqueryPath” 但是,再次,这些解决scheme不是我所期待的。 我想让鲍尔知道不要从github安装jquery(或任何其他包)。 但要从给定的存储库安装到它。 谢谢 :) (我知道这是可能的,我不知道如何)